#include<bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t, n, i, j, p = 1, x, y, brnula = 1;
    set<int> s;
    cin >> t;
    for(i = 1; i <= t; i++){
        cin >> n;
        for(j = 1; j <= n; j++){
        	y = j;
        	while(y != 0){
        		x = y % 10;
        		p *= x;
        		y = y / 10;
				if(p == 0 && j != 10)break;
			}
			s.insert(p);
			p = 1;
		}
        cout << s.size() << '\n';
        s.clear();
    }
    return 0;
}